FROM debian:bullseye-slim

RUN apt update \
    && apt install --no-install-recommends -y libext2fs2 \
                      mmdebstrap \
                      parted \
                      multistrap \
                      udisks2 \
                      qemu-system-aarch64 \
                      qemu-user-static \
                      binfmt-support \
                      arch-test \
                      curl \
                      bash 

RUN echo "none  /proc/sys/fs/binfmt_misc binfmt_misc defaults 0 0" > /etc/fstab 
COPY docker/entrypoint.sh /tmp
COPY src/ /tmp
WORKDIR /tmp
#CMD bash
CMD /tmp/entrypoint.sh
